<template>
  <v-container>
    <header>
      <h1 class="display-4 font-weight-thin text-center">BYOD Launcher</h1>
      <p class="subtitle-1 text-center"> Erstellen und verwalten Sie Ihre Sessions
        schnell und unkompliziert.</p>
    </header>

    <v-divider class="divider-with-space"/>

    <v-row>
      <h4 class="display-1">
        Deine Sessions
      </h4>
      <v-spacer/>
      <h4 class="display-1">
        <v-btn @click="createNewSession()">
          Neue Einrichtung planen
        </v-btn>
      </h4>
      <session-list></session-list>
    </v-row>
  </v-container>
</template>

<script lang="ts">
import {Component, Vue} from "vue-property-decorator";
import SessionList from "@/components/SessionList.vue";
import router from "@/router";
import {authApi} from "@/api/auth";

@Component({
  components: {SessionList}
})
export default class Login extends Vue {

  created() {
    authApi.performAuthentication();
  }

  createNewSession() {
    router.push({name: 'new session'});
  }

}
</script>

<style scoped lang="scss">

.centered-input {
  input {
    text-align: center;
  }

  &.accessCode-input {
    input {
      font-size: 60px;
      max-height: none;
    }

    .v-text-field__details {
      font-weight: normal;
    }
  }

  .v-messages__message {
    text-align: center;
  }
}

.centered-input .v-messages {
  text-align: center;
}


.divider-with-space {
  margin: 70px 0;
}

</style>